package com.qmth.boot.core.concurrent.configuration;

import ch.qos.logback.classic.Level;
import com.qmth.boot.core.constant.CoreConstant;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotNull;

@Component
@ConfigurationProperties(prefix = CoreConstant.CONFIG_PREFIX + ".lock")
public class LockProperties {

    @NotNull
    private String logLevel = Level.INFO.toString();

    public String getLogLevel() {
        return logLevel;
    }

    public void setLogLevel(String logLevel) {
        this.logLevel = logLevel;
    }
}
